<template>
	<el-form ref="form" :model="form" label-width="120px">
		<el-row>
			<el-col :span="12">
				<el-form-item label="演练名称">
					<el-input v-model="form.name" placeholder="请填写预案名称" disabled></el-input>
				</el-form-item>
			</el-col>
			<el-col :span="12">
				<el-form-item label="演练地点">
          <el-input v-model="form.teamName" placeholder="请填写演练地点" disabled></el-input>
				</el-form-item>
			</el-col>
		</el-row>
		<el-row>
			<el-col :span="12">
				<el-form-item label="主办部门">
          <el-tree-select
              v-model="form.responsibleDepartment"
              :data="data" class="w100"
              placeholder="请选择"
              disabled
          />
				</el-form-item>
			</el-col>
			<el-col :span="12">
        <el-form-item label="演练方式" prop="teamLevel">
          <el-select v-model="form.teamLevel" class="w100" placeholder="请选择" disabled>
            <el-option label="综合" value="admin"></el-option>
            <el-option label="桌面" value="common3"></el-option>
            <el-option label="专项" value="common2"></el-option>
          </el-select>
				</el-form-item>
			</el-col>
		</el-row>
		<el-row>
			<el-col :span="12">
        <el-form-item label="应急预案" prop="telephone" >
          <el-input
              v-model="form.teamLeader"
              placeholder="请选择"
              class="input-with-select"
              disabled
          >
            <template #append>
              <el-button :icon="Search" @click="daiInpt" disabled/>
            </template>
          </el-input>
        </el-form-item>
			</el-col>
			<el-col :span="12">
        <el-form-item label="演练级别" prop="teamPhone">
          <el-select v-model="form.teamLevel" class="w100" placeholder="请选择" disabled>
            <el-option label="公司级" value="admin"></el-option>
            <el-option label="分厂级" value="common"></el-option>
            <el-option label="车间级" value="common1"></el-option>
          </el-select>
        </el-form-item>
			</el-col>
		</el-row>
		<el-row>
			<el-col :span="12">
        <el-form-item label="计划定制日期" prop="teamPhone">
          <el-date-picker v-model="datetime" type="datetime" placeholder="选择日期时间" disabled style="width: 100%" />
        </el-form-item>
			</el-col>
      <el-col :span="12">
        <el-form-item label="计划演练日期" prop="teamPhone">
          <el-date-picker v-model="drillDate" type="datetime" placeholder="选择日期时间" disabled style="width: 100%" />
        </el-form-item>
      </el-col>
		</el-row>
    <el-row>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="修改时间" prop="teamPhone">
          <el-date-picker v-model="editDate" class="w100" type="datetime" placeholder="选择日期时间" disabled style="width: 100%" />
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="计划定制人" prop="teamPhone">
          <el-input v-model="form.planCustomizer" disabled placeholder="请填写演练地点"></el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="制定部门" prop="telephone">
          <el-tree-select
              v-model="form.responsibleDepartment"
              :data="data" class="w100"
              placeholder="请选择"
              disabled
          />
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="演练人员" prop="telephone" >
          <el-input
              v-model="form.teamLeader"
              placeholder="请选择"
              class="input-with-select"
              disabled
          >
            <template #append>
              <el-button :icon="Search" @click="openUser" disabled/>
            </template>
          </el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="24" :md="24" :lg="24" :xl="24" class="mb20">
        <el-form-item label="演练目的" prop="telephone">
          <el-input
              v-model="form.teamLeader"
              placeholder="请填写演练目的"
              class="input-with-select textarea"
              type="textarea"
              disabled
          >
          </el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="演练负责人" prop="telephone" >
          <el-input
              v-model="form.teamLeader"
              placeholder="请选择"
              class="input-with-select"
              disabled
          >
            <template #append>
              <el-button :icon="Search" @click="openUser" disabled/>
            </template>
          </el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="保险措施" prop="teamName">
          <el-input v-model="form.teamName" placeholder="请填写演练名称" disabled></el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="12" :md="12" :lg="12" :xl="12" class="mb20">
        <el-form-item label="演练经费" prop="teamName">
          <el-input v-model="form.teamName" placeholder="请填写演练名称" disabled></el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="24" :md="24" :lg="24" :xl="24" class="mb20">
        <el-form-item label="备注信息" prop="telephone">
          <el-input
              v-model="form.teamLeader"
              placeholder="请填写备注信息"
              class="input-with-select textarea"
              type="textarea"
              disabled
          >
          </el-input>
        </el-form-item>
      </el-col>
      <el-col :xs="24" :sm="24" :md="24" :lg="24" :xl="24" class="mb20" style="margin-bottom: 0!important;">
        <el-form-item label="预案附件">
          <el-upload
              v-model:file-list="fileList"
              class="upload-demo"
              action="https://run.mocky.io/v3/9d059bf9-4660-45f2-925d-ce80ad6c4d15"
              :on-change="handleChange"
              disabled
          >
            <el-button type="primary" disabled
            >点击上传</el-button>
            <template #tip>
              <div class="el-upload__tip">
                添加相关附件
              </div>
            </template>
          </el-upload>
        </el-form-item>
      </el-col>
    </el-row>
	</el-form>
  <checkTemplate ref="ShowRef"/>
  <userSelections ref="userRef"/>
  <RegionsDialog ref="openRef"/>
</template>
<script lang="ts">
import {
  defineComponent,
  ref,
  reactive
} from 'vue';
import {
  Search
} from '@element-plus/icons-vue'
import type {
  UploadUserFile,
  // FormRules,
} from 'element-plus'
import UserSelections from "/@/components/userSelections/index.vue"
import CheckTemplate from "/@/components/checkTemplate/index.vue"
import RegionsDialog from "/@/components/regionsDialog/index.vue";
export default defineComponent({
  components: {
    CheckTemplate,
    UserSelections,
    RegionsDialog,
  },
	setup() {
		const form = reactive({
			name: '',
      teamName: '',
      responsibleDepartment: '',
      teamLevel: '',
      teamLeader: '',
			date1: '',
			date2: '',
			delivery: false,
			type: [],
			resource: '',
			desc: '',
		});
    // 上传附件
    const fileList = ref<UploadUserFile[]>([])
    // 可选择树
    const treeSelect = ref()
    const tree = [
      {
        value: '1',
        label: 'Level one 1',
        children: [
          {
            value: '1-1',
            label: 'Level two 1-1',
            children: [
              {
                value: '1-1-1',
                label: 'Level three 1-1-1',
              },
            ],
          },
        ],
      },
      {
        value: '2',
        label: 'Level one 2',
        children: [
          {
            value: '2-1',
            label: 'Level two 2-1',
            children: [
              {
                value: '2-1-1',
                label: 'Level three 2-1-1',
              },
            ],
          },
          {
            value: '2-2',
            label: 'Level two 2-2',
            children: [
              {
                value: '2-2-1',
                label: 'Level three 2-2-1',
              },
            ],
          },
        ],
      },
      {
        value: '3',
        label: 'Level one 3',
        children: [
          {
            value: '3-1',
            label: 'Level two 3-1',
            children: [
              {
                value: '3-1-1',
                label: 'Level three 3-1-1',
              },
            ],
          },
          {
            value: '3-2',
            label: 'Level two 3-2',
            children: [
              {
                value: '3-2-1',
                label: 'Level three 3-2-1',
              },
            ],
          },
        ],
      },
    ]
    //定义树形下拉框
    const responsibleDepartment = ref()
    const data = [
      {
        value: '1',
        label: '广汇能源综合物流发展有限责任公司',
        children: [
          {
            value: '1-1',
            label: '经营班子',
            children: [],
          },
        ],
      },
      {
        value: '2',
        label: '生产运行部',
        children: [
          {
            value: '2-1',
            label: '灌装一班',
            children: []
          },
          {
            value: '2-2',
            label: '工艺四班',
            children: [],
          },
        ],
      },
      {
        value: '3',
        label: '设备部',
        children: [
          {
            value: '3-1',
            label: '仪表班',
            children: [],
          },
          {
            value: '3-2',
            label: '机修班',
            children: [],
          },
        ],
      },
    ]
    // 计划定制日期
    const datetime = ref('')
    // 计划演练日期
    const drillDate = ref('')
    // 修改时间
    const editDate = ref('')
    // 应急队伍弹窗
    const ShowRef=ref()
    const daiInpt=()=>{
      ShowRef.value.openDailog()
    }
    // 选择区域弹窗
    const openRef=ref()
    const regionsDialog=()=>{
      openRef.value.openDailog()
    }
    // 打开编写人选择用户弹窗
    const userRef = ref();
    const openUser = () => {
      userRef.value.openDialog();
    };
		return {
			form,
      data,
      treeSelect,
      tree,
      drillDate,
      editDate,
      openUser,
      userRef,
      Search,
      ShowRef,
      daiInpt,
      responsibleDepartment,
      openRef,
      datetime,
      regionsDialog,
      fileList,
		};
	},
});
</script>
<style scoped>
.title {
	text-align: center;
	font-size: 16px;
	margin-bottom: 20px;
}
.box {
	border: 1px solid #dcdfe6;
	box-shadow: 0 2px 4px 0 rgb(0 0 0 / 12%), 0 0 6px 0 rgb(0 0 0 / 4%);
}
.navType {
	background-color: #fff;
}
.tiao {
	width: 100%;
	height: 1px;
	background-color: #dcdfe6;
	margin: 30px 0;
	position: relative;
}
.typeS {
	width: 80px;
	background-color: #fff;
	position: absolute;
	left: 30px;
	top: -9px;
	font-size: 14px;
	text-align: center;
}
.logoColor {
	background-color: #67c23a;
	color: #fff;
	padding: 5px 8px;
	border-radius: 5px;
	margin-right: 5px;
}
.btns {
	width: 100%;
	padding: 20px 0;
	background-color: #fff;
	position: fixed;
	bottom: 0px;
	left: 0px;
	text-align: center;
	box-shadow: 0 -3px 5px 0 rgb(0 0 0 / 12%);
}
.title2 {
	padding: 20px 0 20px 10px;
	width: 100%;
	border: 1px solid #dcdfe6;
}
.el-row{
	padding:0 0 20px 0;
}
.select{
  width: 100%;
}
.select ::v-deep .el-select{
  width: 100%;
}
</style>
